All Classes Namespaces Functions Variables Pages
AmoebaOutOfPlaneBendForce Class Reference

This class implements the Amoeba out-of-plane bend interaction. More...

Inheritance diagram for AmoebaOutOfPlaneBendForce:

## Public Member Functions

def | getNumOutOfPlaneBends
| getNumOutOfPlaneBends(AmoebaOutOfPlaneBendForce self) -> int More...
def | setAmoebaGlobalOutOfPlaneBendCubic
| setAmoebaGlobalOutOfPlaneBendCubic(AmoebaOutOfPlaneBendForce self, double cubicK) More...
def | getAmoebaGlobalOutOfPlaneBendCubic
| getAmoebaGlobalOutOfPlaneBendCubic(AmoebaOutOfPlaneBendForce self) -> double More...
def | setAmoebaGlobalOutOfPlaneBendQuartic
| setAmoebaGlobalOutOfPlaneBendQuartic(AmoebaOutOfPlaneBendForce self, double quarticK) More...
def | getAmoebaGlobalOutOfPlaneBendQuartic
| getAmoebaGlobalOutOfPlaneBendQuartic(AmoebaOutOfPlaneBendForce self) -> double More...
def | setAmoebaGlobalOutOfPlaneBendPentic
| setAmoebaGlobalOutOfPlaneBendPentic(AmoebaOutOfPlaneBendForce self, double penticK) More...
def | getAmoebaGlobalOutOfPlaneBendPentic
| getAmoebaGlobalOutOfPlaneBendPentic(AmoebaOutOfPlaneBendForce self) -> double More...
def | setAmoebaGlobalOutOfPlaneBendSextic
| setAmoebaGlobalOutOfPlaneBendSextic(AmoebaOutOfPlaneBendForce self, double sexticK) More...
def | getAmoebaGlobalOutOfPlaneBendSextic
| getAmoebaGlobalOutOfPlaneBendSextic(AmoebaOutOfPlaneBendForce self) -> double More...
def | addOutOfPlaneBend
| addOutOfPlaneBend(AmoebaOutOfPlaneBendForce self, int particle1, int particle2, int particle3, int particle4, double k) -> int More...
def | getOutOfPlaneBendParameters
| getOutOfPlaneBendParameters(AmoebaOutOfPlaneBendForce self, int index) More...
def | setOutOfPlaneBendParameters
| setOutOfPlaneBendParameters(AmoebaOutOfPlaneBendForce self, int index, int particle1, int particle2, int particle3, int particle4, double k) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaOutOfPlaneBendForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaOutOfPlaneBendForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaOutOfPlaneBendForce self) -> AmoebaOutOfPlaneBendForce init(OpenMM::AmoebaOutOfPlaneBendForce self, AmoebaOutOfPlaneBendForce other) -> AmoebaOutOfPlaneBendForce More...
def | __del__
| del(OpenMM::AmoebaOutOfPlaneBendForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Detailed Description

This class implements the Amoeba out-of-plane bend interaction.

To use it, create an OutOfPlaneBendForce object then call addOutOfPlaneBend() once for each outOfPlaneBend. After an out-of-plane bend has been added, you can modify its force field parameters by calling setOutOfPlaneBendParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaOutOfPlaneBendForce self) -> AmoebaOutOfPlaneBendForce init(OpenMM::AmoebaOutOfPlaneBendForce self, AmoebaOutOfPlaneBendForce other) -> AmoebaOutOfPlaneBendForce

Create an AmoebaOutOfPlaneBendForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaOutOfPlaneBendForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addOutOfPlaneBend | ( |  | self,
|  |  | args
| ) |  |

addOutOfPlaneBend(AmoebaOutOfPlaneBendForce self, int particle1, int particle2, int particle3, int particle4, double k) -> int

Add an out-of-plane bend term to the force field.

Parameters

  particle1 | the index of the first particle connected by the outOfPlaneBend
  particle2 | the index of the second particle connected by the outOfPlaneBend
  particle3 | the index of the third particle connected by the outOfPlaneBend
  particle4 | the index of the fourth particle connected by the outOfPlaneBend
  k | the force constant for the out-of-plane bend

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalOutOfPlaneBendCubic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalOutOfPlaneBendCubic(AmoebaOutOfPlaneBendForce self) -> double

Get the global cubic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalOutOfPlaneBendPentic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalOutOfPlaneBendPentic(AmoebaOutOfPlaneBendForce self) -> double

Get the global pentic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalOutOfPlaneBendQuartic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalOutOfPlaneBendQuartic(AmoebaOutOfPlaneBendForce self) -> double

Get the global quartic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalOutOfPlaneBendSextic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalOutOfPlaneBendSextic(AmoebaOutOfPlaneBendForce self) -> double

Get the global sextic term

References simtk.openmm.openmm.stripUnits().

def getNumOutOfPlaneBends | ( |  | self,
|  |  | args
| ) |  |

getNumOutOfPlaneBends(AmoebaOutOfPlaneBendForce self) -> int

Get the number of out-of-plane bend terms in the potential function

References simtk.openmm.openmm.stripUnits().

def getOutOfPlaneBendParameters | ( |  | self,
|  |  | args
| ) |  |

getOutOfPlaneBendParameters(AmoebaOutOfPlaneBendForce self, int index)

Get the force field parameters for an out-of-plane bend term.

Parameters

  index | the index of the outOfPlaneBend for which to get parameters
  particle1 | the index of the first particle connected by the outOfPlaneBend
  particle2 | the index of the second particle connected by the outOfPlaneBend
  particle3 | the index of the third particle connected by the outOfPlaneBend
  particle4 | the index of the fourth particle connected by the outOfPlaneBend
  k | the force constant for the out-of-plane bend

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalOutOfPlaneBendCubic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalOutOfPlaneBendCubic(AmoebaOutOfPlaneBendForce self, double cubicK)

Set the global cubic term

Parameters

  cubicK | the cubic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalOutOfPlaneBendPentic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalOutOfPlaneBendPentic(AmoebaOutOfPlaneBendForce self, double penticK)

Set the global pentic term

Parameters

  penticK | the pentic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalOutOfPlaneBendQuartic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalOutOfPlaneBendQuartic(AmoebaOutOfPlaneBendForce self, double quarticK)

Set the global cubic term

Parameters

  quarticK | the quartic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalOutOfPlaneBendSextic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalOutOfPlaneBendSextic(AmoebaOutOfPlaneBendForce self, double sexticK)

Set the global sextic term

Parameters

  sexticK | the sextic force constant for the angle

References simtk.openmm.openmm.stripUnits().

def setOutOfPlaneBendParameters | ( |  | self,
|  |  | args
| ) |  |

setOutOfPlaneBendParameters(AmoebaOutOfPlaneBendForce self, int index, int particle1, int particle2, int particle3, int particle4, double k)

Set the force field parameters for an out-of-plane bend term.

Parameters

  index | the index of the outOfPlaneBend for which to set parameters
  particle1 | the index of the first particle connected by the outOfPlaneBend
  particle2 | the index of the second particle connected by the outOfPlaneBend
  particle3 | the index of the third particle connected by the outOfPlaneBend
  particle4 | the index of the fourth particle connected by the outOfPlaneBend
  k | the force constant for the out-of-plane bend

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaOutOfPlaneBendForce self, Context context)

Update the per-bend term parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setOutOfPlaneBendParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-bend term parameters. The set of particles involved in a term cannot be changed, nor can new terms be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaOutOfPlaneBendForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py